aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorprspkt <prspkt@protonmail.com>2018-06-09 14:41:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2018-06-17 04:43:27 +0000
commit8235b459c3e261094ca4b0cb7d23b8bd5b59fa59 (patch)
tree2883b433535ffe91fbfd01a9563439f9a65caf5f
parent1078f33167dde52d0cb0be40a6386f3d052c1131 (diff)
downloadaports-8235b459c3e261094ca4b0cb7d23b8bd5b59fa59.tar.gz
aports-8235b459c3e261094ca4b0cb7d23b8bd5b59fa59.tar.bz2
aports-8235b459c3e261094ca4b0cb7d23b8bd5b59fa59.tar.xz
community/libndp: upgrade to 1.7
-rw-r--r--community/libndp/APKBUILD8
-rw-r--r--community/libndp/fix-fd_set.patch24
2 files changed, 3 insertions, 29 deletions
diff --git a/community/libndp/APKBUILD b/community/libndp/APKBUILD
index a8b360fe1c..21707ad0ec 100644
--- a/community/libndp/APKBUILD
+++ b/community/libndp/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
pkgname=libndp
-pkgver=1.6
+pkgver=1.7
pkgrel=0
pkgdesc="Library for IPv6 Neighbor Discovery Protocol"
url="http://libndp.org"
@@ -11,7 +11,6 @@ makedepends="autoconf automake libtool"
subpackages="$pkgname-dev $pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/jpirko/libndp/archive/v$pkgver.tar.gz
0001-remove-bash-dependency.patch
- fix-fd_set.patch
"
builddir="$srcdir"/$pkgname-$pkgver
@@ -45,6 +44,5 @@ package() {
make DESTDIR="$pkgdir" install
}
-sha512sums="9ecaf36656cea8b71b2864eda7e5e2d106c4e861fc7506be9ce309aabee2dfcd695c55f65ae1db4afc1d44cf20b30e1ebf84dbb15d6b39bff5d3833fed57ae19 libndp-1.6.tar.gz
-e0cdeb09b757c8b8ed199ae9178dedcbb64769fee775be73f6c704fcb7fd749a91fda6c85b11f6ffcc010cef05a5ecc1d5b334374fa5056ab1cfae170e8afd6a 0001-remove-bash-dependency.patch
-16660eaad5159056d2872f8a92296e2473ac2ef8cf663d0bb40b8bd95c2c9cdf74b94642e22abaddc58b1f8a74e8ab39a6ef6356d8226e9dca0e603440bfaee9 fix-fd_set.patch"
+sha512sums="a9a4b4cb0a9e23384fbb37b7315129d891559bb4203ddd50348d9cddbd03c7d38bd62697d7c17db52568cf06ad631fb59612fc85b8a987309de65b270bca68cd libndp-1.7.tar.gz
+e0cdeb09b757c8b8ed199ae9178dedcbb64769fee775be73f6c704fcb7fd749a91fda6c85b11f6ffcc010cef05a5ecc1d5b334374fa5056ab1cfae170e8afd6a 0001-remove-bash-dependency.patch"
diff --git a/community/libndp/fix-fd_set.patch b/community/libndp/fix-fd_set.patch
deleted file mode 100644
index c0b72d3d56..0000000000
--- a/community/libndp/fix-fd_set.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-From 60a0c678e1c1fce9a979cc18d66f25853e965181 Mon Sep 17 00:00:00 2001
-From: Leonardo Arena <rnalrd@alpinelinux.org>
-Date: Fri, 5 May 2017 06:14:22 +0000
-Subject: [PATCH] fix includes
-
----
- utils/ndptool.c | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/utils/ndptool.c b/utils/ndptool.c
-index 1d96f4c..96479fa 100644
---- a/utils/ndptool.c
-+++ b/utils/ndptool.c
-@@ -28,6 +28,7 @@
- #include <arpa/inet.h>
- #include <errno.h>
- #include <ndp.h>
-+#include <sys/select.h>
-
- enum verbosity_level {
- VERB1,
---
-2.12.2
-